<?php
include(__DIR__."/Class/session.php");
include(__DIR__."/Class/database.php");
include(__DIR__."/Class/email.php");

class app{
    
    public $session=null;
    public $db=null;
    
    function __construct(){
        $this->initDB();
        $this->initSession();
    }
    private function initDB(){
        if(is_null($this->session))
            $this->session=new session();
        $this->db=new database($this->session);
    }
    private function initSession(){
        $this->session=new session();
    }
    public function getEmail(){
        return new email();
    }
    public function redirect($url=""){
        header("Location:".$this->db->base_url.$url);
    }
    
    public function getInput($key,$default=null){
        if(isset($_REQUEST[$key])){
            return trim($_REQUEST[$key]);
        }
        return $default;
    }
    function getMessages(){
        $msg=$this->session->get("message");
        
        $msg2=[];
        if(isset($msg['type']))
            $msg2[]=$msg;
        else $msg2=$msg;
        if($msg2)
        foreach($msg2 as $m){
         
            echo '<div class="alert alert-'.$m['type'].'" role="alert">'.$m['message']."</div>";
        }
    }
   

}
$app= new app();
