<?php

include ("config.php");
class database extends config{
    
    public $conn=null;
    public $result=null;
    public $session=null;
    public $insert_id=null;
    
    public $last_insert_id=null;
    
    function __construct($session=null){
        $this->connect();
        $this->session=$session;
    }
  
    function connect(){
        $this->conn = new mysqli($this->host, $this->user, $this->password, $this->db);
        
        /* check connection */
        if ($this->conn->connect_errno) {
            throw new Exception($this->conn->connect_error);
        }
    }
    private function tableExists($table) {
        $tablesInDb = $this->conn->query('SHOW TABLES FROM `' . $this->db . '` LIKE "' . $table . '"');
        if ($tablesInDb) {
            if ($tablesInDb->num_rows == 1) {
                return true;
            } else {
                return false;
            }
        }
    }
   /* function result(){
       return $this->result->fetch_assoc();
    }*/
    function select($table,$where_=null,$tsart=null,$litmit=null){
        
        
        
        if(!$this->tableExists($table))
            return false;
        
        $query="SELECT * FROM $table ".(($where_!=null)?' WHERE ' .$where_:'');
       
        if($tsart!=null && intval($tsart) && $litmit!=null && intval($litmit))
            $query.=" LIMIT $tsart,$litmit";
        
           
            
        if ($this->result = $this->conn->query($this->last_query=$query)) {
            return $this->result;
        }
         var_dump("asda");
            EXIT;
    }
    
    function insert($table,$insData){
        
        if(!$this->tableExists($table))return false;
        try {
            $columns = implode(", ",array_keys($insData));
            $escaped_values = array_map(array($this,'escapeValue'), array_values($insData));
            
            $values  = implode(", ", $escaped_values);
            $sql = "INSERT INTO `$table`($columns) VALUES ($values)";
          
            if ($this->conn->query($this->last_query=$sql) === TRUE) {
                return $this->last_insert_id=$this->conn->insert_id;
            }
            return false;
            
        } catch(Exception $e) {
          //$mysqli->rollback(); //remove all queries from queue if error (undo)
          throw $e;
        }
    }
    function escape($data){
        return "`".$this->conn->real_escape_string($data)."`";
    }
    function escapeValue($data){
        if(is_numeric($data))
            return $this->conn->real_escape_string($data);
        else
            return "'".$this->conn->real_escape_string($data)."'";
    }
    function update($table,$data,$where_){
        
        try {
            if(!$this->tableExists($table))return false;
          
            $update = 'UPDATE ' . $table . ' SET ';
            $up=[];
            foreach($data as $k=>$v){
                if ( $v==NULL) {
                    $up[] =$this->escape($k) . '=' . $this->escapeValue($v);
                }
            }
            $update .= implode(",",$up);
            $update .= (($where_!=null)?' WHERE ' .$where_:'');
           
            $query = $this->conn->query($this->last_query=$update);
            if ($query)
                return true;
            else 
                return false;
            
            
        } catch(Exception $e) {
          //$mysqli->rollback(); //remove all queries from queue if error (undo)
          throw $e;
        }
    }
    function getUser($id=null){
        if($id==null){
            $user=$this->session::get('user');
            if(isset($user['id']))
                $id=$user['id'];
            else
                return false;
        }
        $res=$this->select("user","id=".$id);
        return ($res && $res=$res->fetch_assoc())?$res:false;
    }
    
    function __destruct(){
        if($this->result)
        $this->result->close();
    }
}