<?php
include("backend/init.php");

$action=$app->getInput("action","none");

switch($action){
    case 'logout':
        $app->session->destroy();
        $app->redirect("login.php");
        break;
    case 'login':
        
        $user=$app->getInput("user_name","false");
        $pwd=md5($app->getInput("password","false"));
        
        $data=$app->db->select("user","uname=".$app->db->escapeValue($user)." and password=".$app->db->escapeValue($pwd));
        
        $data=$data->fetch_assoc();
       
        if($data){
            $app->session->set("user",$data);
            $app->session->set("message",array("type"=>"success","message"=>"Login Successfully"));
            $app->redirect();
             var_dump($data);exit;
        }
        $app->session->set("message",array("type"=>"danger","message"=>"Invalid Login details"));
        
        $app->redirect("login.php");
        break;
    case 'register':
        
        $user=$app->getInput("user_name","false");
        $pwd=md5($app->getInput("password","false"));
        
        $name=$app->getInput("name","false");
        
        
        
        $err=[];
        if (!filter_var($user, FILTER_VALIDATE_EMAIL)) 
             $err[]="Email id is invalide.";
        
        if (strlen($name)<=0) 
             $err[]="Name field is empty.";
            
        if (strlen($pwd)<=4) 
            $err[]="Password must be more then 4 charachter.";
            
        $data=$app->db->select("user","uname=".$app->db->escapeValue($user));
        $data=$data->fetch_assoc();
      
        if(count($data)>0)
            $err[]="Email is already exist.";

        if(count($err)>0){
           
            $app->session->set("message",array("type"=>"danger","message"=>implode("<br/>",$err)));
            $app->redirect("register.php");
        }
        
        $email_verify_Token=substr(md5(uniqid(rand(), true)), 16, 16); 
        if($id=$app->db->insert("user",array("name"=>$name,"uname"=>$user,"password"=>md5($pwd),"etoken"=>$email_verify_Token,"status"=>"0"))){
            
            $message="<p>Hi ".$name.",<br/>Please click on belo email verification link to verify your email.<br/><br/><a href='".$app->db->base_url."process.php?action=verifyemail&ecode=".$email_verify_Token."'> Verify Account Email</a><br/></p><p>Regards,<br/>eNotepad</p>";
            
            var_dump($app->getEmail()->send($user,"eNotepad Account Email Verification ",$message));
            if($app->getEmail()->send($user,"eNotepad Account Email Verification ",$message)){
                 
                 $app->session->set("user", $app->db->getUser($id));
                 $app->session->set("message",array("type"=>"success","message"=>"Please check your email account for email verification."));
                $app->redirect("register.php");
            }
        }
        
        
        break;
    case 'verifyemail':
        
        $code=$app->getInput("ecode","false");
        $data=$app->db->select("user","etoken=".$app->db->escapeValue($code));
        $data=$data->fetch_assoc();
      
     
        if(is_array($data) && count($data)>0)
            if($app->db->update("user",array("etoken"=>"","status"=>"1"),"id=".$data['id'])){
                $app->session->set("message",array("type"=>"success","message"=>"Email verification successfully."));
                $app->redirect();
            }
            
        break;
    default:
        break;
}
//$app->redirect();
/*
$data=$app->db->select("directory","name=".$app->db->escapeValue("inbox"));
while($row = $data->fetch_assoc()){
 var_dump($row);   
} 

$app->session->set("user",$app->db->getUser(1));
var_dump($app->session->get("user"));*/